> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Valor Total do Estoque

> Calcula o valor financeiro alocado no estoque atual, segmentando pelo custo e oferecendo uma listagem do impacto financeiro (Top Produtos).

### Query Parameters

<ParamField query="warehouseId" type="string">
  Opcional. Se informado, contabiliza o valor investido presencial apenas naquele depósito.
</ParamField>

### Response

<ResponseExample>
  ```json Response theme={null}
  {
    "totalValue": 250430.50,
    "topValuableProducts": [
      {
        "productId": "cffbca85-da89-4b2a-aecf-31422abcb34a",
        "sku": "NOTE-GAMER",
        "name": "Notebook Gamer",
        "quantity": 10,
        "totalProductValue": 55000.00
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /inventory/dashboard/stock-value
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /inventory/dashboard/stock-value:
    get:
      tags:
        - Inventory Dashboard
      summary: Valor total do estoque
      operationId: InventoryDashboardController_getStockValue
      parameters:
        - name: warehouseId
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Valor do estoque (top produtos e total)
      security:
        - bearer: []
components: {}

````